blaze-builder-0.4.4.1: Efficient buffered output.

Copyright | (c) 2013 Simon Meier
License | BSD3
Maintainer | https://github.com/blaze-builder
Stability | stable
Safe Haskell | None
Language | Haskell98

Blaze.ByteString.Builder.HTTP

Contents

- Chunked HTTP transfer encoding

Description

Support for HTTP response encoding.

Synopsis

- chunkedTransferEncoding :: Builder -> Builder
- chunkedTransferTerminator :: Builder

# Chunked HTTP transfer encoding

chunkedTransferEncoding :: Builder -> Builder Source #

Transform a builder such that it uses chunked HTTP transfer encoding.

chunkedTransferTerminator :: Builder Source #

The zero-length chunk '0rnrn' signaling the termination of the data transfer.